
Summary: Script to restart teamviewer daemon
Name: restarttv
Version:  1.0
Release: %mkrel 1
License: GPL
Group: Graphical desktop/Other
URL: https://pclinuxos.com
Source0: org.pclinuxos.service.policy
Source1: restarttv
Source2: restarttv.desktop
Source3: restarttv.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: teamviewer

%description
A simple script to restart the teamviwer daemon.

%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot/%{_bindir}
mkdir -p  %buildroot/%{_datadir}/pixmaps
mkdir -p %buildroot/%{_datadir}/polkit-1/actions
mkdir -p %buildroot/%{_datadir}/applications

install -m 0644 %SOURCE0 %buildroot/%{_datadir}/polkit-1/actions
install -m 0755 %SOURCE1 %buildroot/%{_bindir}
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE3 %buildroot/%{_datadir}/pixmaps

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files
%{_bindir}/restarttv
%{_datadir}/applications/restarttv.desktop
%{_datadir}/pixmaps/restarttv.png
%{_datadir}/polkit-1/actions/org.pclinuxos.service.policy



%changelog
* Tue Jun 29 2021 tex - 1.0-1pclos2021
- create pkg
